function [Props,AsgnVals] = pnames(MPCobj)
%PNAMES  All public properties and their assignable values
%
%  [PROPS,ASGNVALS] = PNAMES(MPCOBJ)  returns the list PROPS of
%  public properties of the object MPCOBJ (a cell vector), as well as 
%  the assignable values ASGNVALS for these properties (a cell vector
%  of strings).  PROPS contains the true case-sensitive property names.
%
%  See also  GET, SET.

%   Author: A. Bemporad
%   Copyright 1986-2003 The MathWorks, Inc. 
%   $Revision: 1.1.10.3 $  $Date: 2003/12/04 01:32:49 $   


% MPC properties

Props = {'ManipulatedVariables';'OutputVariables';'DisturbanceVariables';
   'Weights';'Model';'Ts';'Optimizer';'PredictionHorizon';'ControlHorizon';...
   'History';'Notes';'UserData'};
   
% Also return assignable values if needed
if nargout>1,
   AsgnVals = {'Nu-by-1 array of structures';...
         'Ny-by-1 array of structures';...
         'Nd-by-1 array of structures';...
         'structure with fields ''Manipulated'',''ManipulatedRate'',''Output''';...
         'structure with fields ''Plant'',''Disturbance'',''Noise'',''Nominal''';...
         'scalar (controller''s sampling time)'; ...
         'structure with fields ''MaxIter'',''Trace'',''Solver'',''MinOutputECR''';...
         'scalar'; ...
         'scalar or array (number of moves or array of blocking moves)'; ...
         '1-by-6 array';...
         'string';...
         'arbitrary'};
end

% end mpc/pnames.m
