% Model Predictive Control Toolbox
% Version 2.0 (R14) 05-May-2004
%
% General.
%   mpcprops      - Detailed help on available MPC object properties.
%   mpcverbosity  - Change the level of verbosity of the MPC Toolbox
%
% Creating MPC controllers.
%   mpc           - Create MPC controller
%   set           - Set/modify properties of MPC controllers.
%   setestim      - Modifies an MPC object's linear state estimator.
%   setoutdist    - Change output disturbance model.
%   setindist     - Change input disturbance model.
%   mpcstate      - MPC controller state.
%   setmpcsignals - Set signal types in MPC plant model
%   setname       - Set I/O signal names in MPC prediction model
%
% Data extraction.
%   get           - Access values of MPC controller properties.
%   getestim      - Returns the model used for observer design.
%   getoutdist    - Returns the output disturbance model.
%   getindist     - Returns the input disturbance model.
%   getname       - Get I/O signal names in MPC prediction model.
%   size          - Get size and order of MPC controller.
%
% Conversions.
%   ss            - Conversion of unconstrained MPC to state space.
%   tf            - Conversion of unconstrained MPC to transfer function.
%   zpk           - Conversion of unconstrained MPC to zero-pole-gain.
%   d2d           - Change MPC controller's sampling time.
%   pack          - Reduce the bytes of memory needed to store the MPC object 
%
% Analysis.
%   mpcmove       - MPC control evaluation.
%   sim           - Open-loop/closed-loop response to arbitrary inputs.
%   plot          - Plot responses generated by MPC simulations.
%   mpcsimopt     - Specify MPC simulation options
%   cloffset      - Closed-loop DC gain from output disturbance to measured outputs.
%   trim          - Steady-state corresponding to given input and output values.
%   compare       - Compare two MPC objects.
%
% Controller design.
%   mpctool       - MPC Design Tool, a graphical user interface.
%
% QP solver.
%   qpsolver      - Quadratic programming solver (Dantzig's algorithm).
%   qpdantz       - Front-end to quadratic programming solver.
%
% Simulink.
%   mpclib        - MPC Simulink Library
%
% Demonstrations.
%   Type "demo" or "help mpcdemos" for a list of available demos.


%   Copyright 1986-2004 The MathWorks, Inc.






