function schema
%SCHEMA  Defines properties for @simplot class (MPC simulation data)

%  Author(s): James G. owen
%  Copyright 1986-2004 The MathWorks, Inc.
%  $Revision: 1.1.6.2 $ $Date: 2004/04/10 23:37:52 $

% Find parent package
pkg = findpackage('mpcobjects');
parentpkg = findpackage('resppack');

% Register class (subclass)
c = schema.class(pkg, 'simplot', findclass(parentpkg, 'simplot'));

% Enumerations
if isempty(findtype('MPCPlotType'))
    schema.EnumType('MPCPlotType', {'inputs', 'outputs'});
end

% Properties
p = schema.prop(c,'Type','MPCPlotType');
p.FactoryValue = 'outputs';
% Apprdata property is a struct used to group plots generated by the same
% generated by the same simulation task so that they can find eachother.
schema.prop(c,'Appdata','MATLAB array');
